IDJC-RUN(1)

NAME
idjc-run - Launch the idjc main application

SYNOPSIS

idjc run [-h] [-d {true,false}] [-p profile_choice] [-j server_name]
         [-S session_details] [--no-jack-connections] [-C]
         [-c c [c ...]] [-V {off,private,public}] [-P p [p ...]]
         [-s s [s ...]] [-x {1,2}]

DESCRIPTION

  General options
-h, --help
    Show a help message.

-d, --dialog={true,false}
    Whether to show the profile chooser dialog.

-p, --profile=PROFILE
    Which profile to run. Any profile other than default must currently exist.

-j, --jackserver=SERVER
    The named jack server to use.

-S, --session=SESSIONINFO
    See the session support section below for more details.

--no-jack-connections
    A possibly useful option if you are using some kind of session manager. On startup idjc will not attempt to make any connections itself.

--no-default-jack-connections
    No JACK ports will be connected except those listed in the session file. Naturally that means if the session file doesn't exist no connections will be made.

  User interface options
-c, --channels=CHANNELS
    Open the specified channels of a space separated list.

-V, --voip=MODE
    Select the specified VoIP mode.

-P, --players=PLAYERS
    Start the specified players of a space separated list. Valid options are numeric.

-s, --servers=SERVERS
    Start the specified servers of a space separated list. Valid options are numeric.

-x, --crossfader={1,2}
    Position the crossfader.

ENVIRONMENT
If the ~/.jackdrc file is not present unless otherwise configured with a tool like ladiconf or QjackCtl idjc will start but will be configured with a sample rate of 48000 which is suboptimal for streaming CD audio. It is recommended to create such a file by this method within a console or use the aforementioned tools which may require installation.

$ echo "/usr/bin/jackd -d alsa -r 44100 -p 2048" > ~/.jackdrc

If you prefer to start the JACK sound server manually you can do so like this.

$ jackd -d alsa -r 44100 -p 2048

Refer to jackd(1) for further details.

idjc has native language support and takes account of the LANG and LANGUAGE environment variables.

SESSION SUPPORT
idjc supports Ladish [L0] and [L1] session modes. On the command line you could specify --session=L1, --session=L1:session-name, or --session=L1:session-name:/path/to/savedir. If a save path is supplied IDJC operates in session rather than profile mode. The default mode is L0:default which does periodic saving and also saves at exit. You may specify an alternate name or a session pathname for L0 mode also.

When using L1 mode in Gladish if you choose "Studio/Save Studio" or "Project/Save Project" from the main menu idjc will save the JACK connection configuration in the session file.

REPORTING BUGS
Send your bug reports, feature requests, general comments, patches etc. to <http://www.sourceforge.net/projects/idjc>

You will need to make an account in order to post.

Report translation bugs to the appropriate translator whose details can be found in the 'Help/About' section of the idjc main menu.

SEE ALSO
<http://idjc.sourceforge.net>

idjc(1), idjc-new(1), idjc-rm(1)

idjc-ls(1), idjc-auto(1), idjc-noauto(1)

jackd(1)